Bug 14330 - Remove unused email_sender from sendbasket/sendshelf
Summary: Remove unused email_sender from sendbasket/sendshelf
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-04 10:47 UTC by Marcel de Rooy
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14330: Remove unused email_sender from sendbasket/sendshelf (2.89 KB, patch)
2015-06-04 10:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[Signed-off] Bug 14330: Remove unused email_sender from sendbasket/sendshelf (3.03 KB, patch)
2015-06-04 14:29 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14330: Remove unused email_sender from sendbasket/sendshelf (3.07 KB, patch)
2015-06-06 16:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2015-06-04 10:47:01 UTC
The sendbasket/sendshelf scripts and templates do not use email_sender as a cgi parameter or as a template var. Probably a leftover from previous changes.
Let's make Koha cleaner :)
Comment 1 Marcel de Rooy 2015-06-04 10:50:03 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-06-04 14:29:23 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-06-06 16:46:07 UTC
Created attachment 39941 [details] [review]
[PASSED QA] Bug 14330: Remove unused email_sender from sendbasket/sendshelf

The sendbasket/sendshelf scripts and templates do not use email_sender
as a cgi parameter or as a template var. Probably a leftover from previous
changes.
Let's make Koha cleaner :)

Test plan:
[1] Send your cart from opac or staff.
[2] Send a shelf from opac or staff.
[3] Git grep email_sender. No results.

Followed test plan. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-06-08 14:09:54 UTC
Patch pushed to master.

Thanks Marcel!
Comment 5 Chris Cormack 2015-06-08 20:38:55 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 6 Liz Rea 2015-06-22 22:44:07 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 7 Mason James 2015-07-25 04:55:07 UTC
Skipping for 3.16.x series, due to patch conflicts